<template>
  <label><slot /></label>
  <textarea v-model="model"></textarea>
</template>
<script>
export default {
  name: "AppTextArea",
  props: {
    modelValue: {
      type: String,
      required: true,
    },
  },
  computed: {
    model: {
      get() {
        return this.modelValue;
      },
      set(val) {
        this.$emit("update:modelValue", val);
      },
    },
  },
};
</script>
<style>
label {
  display: block;
  font-weight: 400;
  font-size: 12px;
  line-height: 14px;
  margin-bottom: 4px;
}

textarea {
  border: 1px solid #dfe3e7;
  border-radius: 4px;
  font-weight: 400;
  font-size: 14px;
  line-height: 14px;
  background: none;
  width: 100%;
  resize: none;
  outline: none;
  padding: 13px 16px;
  max-width: 920px;
  min-width: 300px;
  height: 140px;
}
</style>
